#include "DeviceConfigIface.h"

namespace LQMeas {

    DeviceConfigIface::DeviceConfigIface() {

    }


    DeviceConfigIface::~DeviceConfigIface() {

    }

    void DeviceConfigIface::save(QJsonObject &cfgObj) const {
        return protSave(cfgObj);
    }

    void DeviceConfigIface::load(const QJsonObject &cfgObj)  {
        protLoad(cfgObj);
        notifyConfigChanged();
    }

    void DeviceConfigIface::init(DeviceConfig *cfg) {
        m_devCfg = cfg;
        protInit(cfg);
    }

    void DeviceConfigIface::update() {
        protUpdate();
        Q_EMIT updated();
    }

    void DeviceConfigIface::notifyConfigChanged() {
        Q_EMIT configChanged();
    }

}
