#ifndef WAITDIALOG_H
#define WAITDIALOG_H

#include <QDialog>

namespace Ui {
class WaitDialog;
}

class WaitDialog : public QDialog {
    Q_OBJECT    
public:
    explicit WaitDialog(QWidget *parent = 0);
    ~WaitDialog();

    void setText(const QString &txt, bool isCancelable = false);
    bool isCanceled() const {return m_canceled;}
public Q_SLOTS:
    void cancel();
private:
    Ui::WaitDialog *ui;
    bool m_canceled {false};
};

#endif // WAITDIALOG_H
